org.wildfly.swarm.config.management.access

## Class RoleMapping<T extends RoleMapping<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.RoleMapping<T>

-     public class RoleMapping<T extends RoleMapping<T>>
      extends Object

  A mapping of users and groups to a specific role.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RoleMapping.RoleMappingResources` Child mutators for RoleMapping

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleMapping(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `exclude(Exclude value)` Add the Exclude object to the list of subresources
    `T` | `exclude(ExcludeSupplier supplier)` Install a supplied Exclude object to the list of subresources
    `T` | `exclude(String childKey)` Create and configure a Exclude object to the list of subresources
    `T` | `exclude(String childKey, ExcludeConsumer consumer)` Create and configure a Exclude object to the list of subresources
    `T` | `excludes(List<Exclude> value)` Add all Exclude objects to this subresource
    `String` | `getKey()`
    `T` | `include(Include value)` Add the Include object to the list of subresources
    `T` | `include(IncludeSupplier supplier)` Install a supplied Include object to the list of subresources
    `T` | `include(String childKey)` Create and configure a Include object to the list of subresources
    `T` | `include(String childKey, IncludeConsumer consumer)` Create and configure a Include object to the list of subresources
    `Boolean` | `includeAll()` Configure if all authenticated users should be automatically assigned this role.
    `T` | `includeAll(Boolean value)` Configure if all authenticated users should be automatically assigned this role.
    `T` | `includes(List<Include> value)` Add all Include objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `RoleMapping.RoleMappingResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleMapping

          public RoleMapping(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RoleMapping.RoleMappingResources subresources()

    - #### includes

          public T includes(List<Include> value)

      Add all Include objects to this subresource
      Parameters:
        `value` - List of Include objects.
      Returns:
        this

    - #### include

          public T include(Include value)

      Add the Include object to the list of subresources
      Parameters:
        `value` - The Include to add
      Returns:
        this

    - #### include

          public T include(String childKey,
                           IncludeConsumer consumer)

      Create and configure a Include object to the list of subresources
      Parameters:
        `key` - The key for the Include resource
        `config` - The IncludeConsumer to use
      Returns:
        this

    - #### include

          public T include(String childKey)

      Create and configure a Include object to the list of subresources
      Parameters:
        `key` - The key for the Include resource
      Returns:
        this

    - #### include

          public T include(IncludeSupplier supplier)

      Install a supplied Include object to the list of subresources

    - #### excludes

          public T excludes(List<Exclude> value)

      Add all Exclude objects to this subresource
      Parameters:
        `value` - List of Exclude objects.
      Returns:
        this

    - #### exclude

          public T exclude(Exclude value)

      Add the Exclude object to the list of subresources
      Parameters:
        `value` - The Exclude to add
      Returns:
        this

    - #### exclude

          public T exclude(String childKey,
                           ExcludeConsumer consumer)

      Create and configure a Exclude object to the list of subresources
      Parameters:
        `key` - The key for the Exclude resource
        `config` - The ExcludeConsumer to use
      Returns:
        this

    - #### exclude

          public T exclude(String childKey)

      Create and configure a Exclude object to the list of subresources
      Parameters:
        `key` - The key for the Exclude resource
      Returns:
        this

    - #### exclude

          public T exclude(ExcludeSupplier supplier)

      Install a supplied Exclude object to the list of subresources

    - #### includeAll

          public Boolean includeAll()

      Configure if all authenticated users should be automatically assigned this role.

    - #### includeAll

          public T includeAll(Boolean value)

      Configure if all authenticated users should be automatically assigned this role.

Copyright © 2018 JBoss by Red Hat. All rights reserved.